Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.diagnostician
Class ClassifierValidatorWrapper

    java.lang.Object
      org.eclipse.emf.ecp.diagnostician.ECPValidator
          org.eclipse.emf.ecp.internal.diagnostician.ClassifierValidatorWrapper

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class ClassifierValidatorWrapper

extends ECPValidator

Wraps `ECPValidator`s registered for the same `EClassifier`.

Author:
  jfaltermeier

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`ClassifierValidatorWrapper(org.eclipse.emf.ecore.EClassifier classifier, Set<ECPValidator> validators)` Constructor.

Method Summary
`Set<org.eclipse.emf.ecore.EClassifier>` | `getValidatedEClassifier()` Returns the `EClassifier`s which can be validated.
`boolean` | `validate(org.eclipse.emf.ecore.EClass eClass, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validate(org.eclipse.emf.ecore.EDataType eDataType, Object value, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class org.eclipse.emf.ecp.diagnostician.ECPValidator
`validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassifierValidatorWrapper

    public ClassifierValidatorWrapper(org.eclipse.emf.ecore.EClassifier classifier,
                                      Set<ECPValidator> validators)

  Constructor.

  Parameters:
    `classifier` - the classifier
    `validators` - the wrapped validators.

Method Detail

### getValidatedEClassifier

    public Set<org.eclipse.emf.ecore.EClassifier> getValidatedEClassifier()

  Returns the `EClassifier`s which can be validated.

  Specified by:
    `getValidatedEClassifier` in class `ECPValidator`
  Returns:
    the eclassifiers
  See Also:
    `ECPValidator.getValidatedEClassifier()`

### validate

    public boolean validate(org.eclipse.emf.ecore.EClass eClass,
                            org.eclipse.emf.ecore.EObject eObject,
                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  Specified by:
    `validate` in interface `org.eclipse.emf.ecore.EValidator`
  Overrides:
    `validate` in class `ECPValidator`
  See Also:
    `ECPValidator.validate(org.eclipse.emf.ecore.EClass, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### validate

    public boolean validate(org.eclipse.emf.ecore.EDataType eDataType,
                            Object value,
                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  Specified by:
    `validate` in interface `org.eclipse.emf.ecore.EValidator`
  Overrides:
    `validate` in class `ECPValidator`
  See Also:
    `ECPValidator.validate(org.eclipse.emf.ecore.EDataType, java.lang.Object, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.